package com.gh.common.chain

import android.content.Context
import com.gh.download.server.BrowserInstallHelper
import com.gh.gamecenter.core.utils.EmptyCallback
import com.gh.gamecenter.entity.GameEntity

class BrowserInstallHandler : ChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity) {
        BrowserInstallHelper.showBrowserInstallHintDialog(context, gameEntity.isVGame(), object : EmptyCallback {
            override fun onCallback() {
                if (hasNext()) {
                    getNext()?.handleRequest(context, gameEntity)
                } else {
                    processEndCallback?.invoke(null)
                }
            }
        })
    }
}